import {route} from '@/uni_modules/uview-plus';

const weekdays = [
    '星期日',
    '星期一',
    '星期二',
    '星期三',
    '星期四',
    '星期五',
    '星期六',
]


export function formatWeekday(index) {
    return weekdays[index]
}

export function navigateTo({url = "", param = {}}) {
    route({
        url,
        params: param,
    })
}

export function reLaunch({url = "", param = {}}) {
    route({
        type: 'reLaunch',
        url,
        params: param,
    })
}


export const getStorageObj = (key) => {
    const json = uni.getStorageSync(key);
    if (!json) {
        return null;
    }
    return JSON.parse(json);
};
export const getUserInfo = () => {
    const userInfo = getStorageObj(storageKey.USER_INFO);
    if (!userInfo) {
        return null;
    }
    return userInfo;
};
export const setUserInfo = (userInfo) => {
    setStorageObj(storageKey.USER_INFO, userInfo);
};

export const setStorageObj = (key, value) => {
    const json = JSON.stringify(value);
    uni.setStorageSync(key, json);
};

export const exit = () => {
    uni.clearStorageSync();
};
export const getToken = () => {
    const token = getStorageObj(storageKey.TOKEN);
    if (!token) {
        return null;
    }
    return token;
};

export const setToken = (token) => {
    setStorageObj(storageKey.TOKEN, token);
};
export const authLogin = (callback) => {
    const user = getUserInfo();
    if (!user) {
        uni.navigateTo({
            url: '/pasb/pages/login/index',
        });
        return;
    }
    callback(user);
};
export const storageKey = {
    USER_INFO: 'userInfo',
    TOKEN: 'token',
    regtheme: 'regtheme',
    regmeet: 'regmeet',
};

export const reloadPage = () => {
    let pages = getCurrentPages();  //获取当前页面
    let beforePage = pages[pages.length - 2];  //获取上一个页面的实例
    //1、调用上一个页面onLoad
    if (beforePage) {
        beforePage.onLoad();
        uni.navigateBack({
            delta: 1,
        });
    }
    reLaunch({
        url: '/pages/workbench/index',
    })
}

export const DateFormat = {
    YYYYMMDD: 'YYYY-MM-DD',
    YYYYMMDDHHMMSS: 'YYYY-MM-DD HH:mm:ss',
}